Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class JaxbContent

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.JaxbContent

All Implemented Interfaces:
  Externalizable, Serializable, Content

    public class JaxbContent

extends Object
implements Content

See Also:
  Serialized Form

Constructor Summary
`JaxbContent()`
`JaxbContent(Content content)`

Method Summary
`byte[]` | `getContent()`
`Map<String,Object>` | `getContentMap()`
`long` | `getId()`
`byte[]` | `getSerializedContent()`
`void` | `initialize(Content content)`
`void` | `readExternal(ObjectInput arg0)`
`void` | `setContentMap(Map<String,Object> map)`
`void` | `setId(Long id)`
`void` | `setSerializedContent(byte[] content)`
`void` | `writeExternal(ObjectOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbContent

    public JaxbContent()

### JaxbContent

    public JaxbContent(Content content)

Method Detail

### initialize

    public void initialize(Content content)

### getContent

    public byte[] getContent()

  Specified by:
    `getContent` in interface `Content`

### getSerializedContent

    public byte[] getSerializedContent()

### setSerializedContent

    public void setSerializedContent(byte[] content)

### getContentMap

    public Map<String,Object> getContentMap()

### setContentMap

    public void setContentMap(Map<String,Object> map)

### getId

    public long getId()

  Specified by:
    `getId` in interface `Content`

### setId

    public void setId(Long id)

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.